using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Microsoft.Exchange.Tools.IMFArchiveManager
{
    public partial class ColumnView : Form
    {
        public ColumnView()
        {
            InitializeComponent();
            
        }

        private void ColumnView_Load(object sender, EventArgs e)
        {

        }
        private void UpdateTable()
        {
            string m_strFilter = "*.eml";

            this.Cursor = Cursors.WaitCursor;

            // Use the Directory class to get the files
            DirectoryInfo Dir = new DirectoryInfo(frmMain.m_Archive);

            try
            {
                // Get each file name and add it as a file tree node
                FileInfo[] dfArr = Dir.GetFiles(m_strFilter);
                //lblMsgCount.Text = dfArr.Length.ToString();
                this.listView1.BeginUpdate();
                foreach (FileInfo drf in dfArr)
                {
                    ListViewItem lvi = new ListViewItem(drf.Name);
                    if (!frmMain.messages.Contains(drf.Name))
                    {
                        //Crack file and get properties
                        MessageProps message = frmMain.CrackMessage(drf);
                        lvi.SubItems.Add(message.From);
                        lvi.SubItems.Add(message.To);
                        lvi.SubItems.Add(message.Subject);
                        lvi.SubItems.Add(message.Date);
                        lvi.SubItems.Add(message.SCL);
                        listView1.Items.Add(lvi);
                        frmMain.messages.Add(drf.Name, message);
                    }
                    Application.DoEvents();
                }
                this.listView1.EndUpdate();
            }
            catch (IOException eio)
            {
                frmMain.Log(string.Format(Global.strIOException, frmMain.m_Archive, eio.ToString()));
                MessageBox.Show(string.Format(Global.strIOException, frmMain.m_Archive, eio.Message));
            }
            catch (Exception en)
            {
                frmMain.Log(string.Format("Error Populate node: {0}", en.ToString()));
                MessageBox.Show(string.Format(Global.strException, en.Message, en.StackTrace, en.Source), "Error PopulateNode()", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            this.Cursor = Cursors.Arrow;
        }
    }
}