using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace Microsoft.Exchange.Tools.IMFArchiveManager
{
    public partial class LocalIPs : Form
    {
        public event FormDoneHandler FormDone;

        public LocalIPs()
        {
            InitializeComponent();
        }

        private void bAdd_Click(object sender, EventArgs e)
        {
            IPAddress ip;
            if (IPAddress.TryParse(mIP.Text, out ip))
            {
                if (frmMain.localIPs.Contains(ip))
                {
                    // throw error that address already exists
                }
                else
                {
                    frmMain.localIPs.Add(ip);
                    lbLocalIPs.Items.Add(ip);
                    mIP.Text = "";
                }
            }
            else
            {
                // throw error that its not a valid IPv4 address
            }
        }

        private void LocalIPs_Load(object sender, EventArgs e)
        {
            foreach (IPAddress ip in frmMain.localIPs)
            {
                lbLocalIPs.Items.Add(ip);
            }
        }

        private void bDelete_Click(object sender, EventArgs e)
        {
            if (lbLocalIPs.SelectedIndex > -1)
            {
                frmMain.localIPs.Remove((IPAddress)lbLocalIPs.SelectedItem);
                lbLocalIPs.Items.RemoveAt(lbLocalIPs.SelectedIndex);
            }
        }

        private void bOk_Click(object sender, EventArgs e)
        {
            this.Hide();
            FormDone(this, System.EventArgs.Empty);
        }
    }
}